import org.junit.jupiter.api.Assertions;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.FindBys;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class AccountPage {
    WebDriver driver;
    String expectFirstName;
    String expectLastName;
    String expectphoneNumber;

    @FindBys({
            @FindBy(className="input-controller"),
            @FindBy(id="input-firstName"),
    })
    WebElement userFirstName;

    @FindBys({
            @FindBy(className="input-controller"),
            @FindBy(id="input-lastName"),
    })
    WebElement userLastName;

    @FindBys({
            @FindBy(className="input-controller"),
            @FindBy(id="emailIdaccount"),
    })
    WebElement userEmail;

    @FindBys({
            @FindBy(className="input-controller"),
            @FindBy(id="phoneNumber"),
    })
    WebElement phoneNumber;

    public AccountPage(WebDriver driver){
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    public void verifyUserInfo(){
        try (InputStream input = new FileInputStream("../resources/config.properties")) {
            Properties prop = new Properties();
            prop.load(input);

            expectFirstName = prop.getProperty("firstName");
            expectLastName = prop.getProperty("lastName");
            expectphoneNumber = prop.getProperty("phoneNumber");
        } catch (IOException ex) {
            ex.printStackTrace();
        }

        WebDriverWait wdw = new WebDriverWait(driver, 10);
//        wdw.until(ExpectedConditions.elementToBeClickable(getInputUserName()));

        Assertions.assertEquals(expectFirstName, userFirstName.getText());
        Assertions.assertEquals(expectLastName, userLastName.getText());
        Assertions.assertEquals(expectphoneNumber, phoneNumber.getText());
    }

}
