import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;

import java.util.concurrent.TimeUnit;
import static org.junit.jupiter.api.Assertions.assertTrue;

public class HomePage {
    WebDriver driver;

    public HomePage(WebDriver driver, String url){
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        driver.navigate().to(url);
    }

    public WebElement getLinkSignIn(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/li[1]/a"));
    }

    public WebElement getMenuSignIn(){
        return driver.findElement(By.xpath("//*[@id=\"sign-in-modal-link\"]"));
    }

    public WebElement getLinkAccount(){
        return driver.findElement(By.xpath("/html/body/div[1]/div/div/div[1]/div/div/div/div[3]/div[2]/div[1]/div/div/div[3]/ul/li[1]/a"));
    }

    public WebElement getMenuAccount(){
        return driver.findElement(By.xpath("//*[@id=\"menu\"]/div[1]/ul/li[4]/a"));
    }

    public void navigatetoSignIn(){
        getLinkSignIn().click();
        getMenuSignIn().click();
    }

    public void navigatetoAccount(){
        getLinkAccount().click();
        getMenuAccount().click();
    }

    public void verifyLoggedIn(){
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        WebElement loginMessage = driver.findElement(By.className("menu-nav__profile-button"));
        assertTrue(loginMessage.isDisplayed(), "User Logged In");
    }
}
