import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class LoginPage {

    WebDriver driver;

    public LoginPage(WebDriver driver){
        this.driver = driver;
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
//        driver.navigate().to(url);
    }

    public WebElement getInputUserName(){
        return driver.findElement(By.xpath("//*[@id=\"label-email\"]"));
    }

    public WebElement getInputPassword(){
        return driver.findElement(By.xpath("//*[@id=\"label-password\"]"));
    }

    public WebElement getBtnSubmit(){
        return driver.findElement(By.xpath("//*[@id=\"btnSignIn\"]"));
    }

    public void navigateHome(String url){
        driver.get(url);
    }

    public void login(String username, String password) throws InterruptedException {
        WebDriverWait wdw = new WebDriverWait(driver, 10);
        wdw.until(ExpectedConditions.elementToBeClickable(getInputUserName()));
        getInputUserName().sendKeys(username);
        wdw.until(ExpectedConditions.elementToBeClickable(getInputPassword()));
        getInputPassword().sendKeys(password);
        wdw.until(ExpectedConditions.elementToBeClickable(getBtnSubmit()));
        getBtnSubmit().click();
//        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
    }

}
